Name:          cbindgen
Version:       0.24.3
Release:       1mamba
Summary:       A project for generating C bindings from Rust code
Group:         Applications/Development
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/eqrion/cbindgen
## GITSOURCE https://github.com/eqrion/cbindgen.git v0.6.7
Source:        https://github.com/eqrion/cbindgen.git/v%{version}/cbindgen-%{version}.tar.bz2
License:       MPL 2.0
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
## AUTOBUILDREQ-END
BuildRequires: /usr/bin/rustc

%description
A project for generating C bindings from Rust code.

%debug_package

%prep
%setup -q

%build
cargo build --release

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
install -D -m0755 target/release/cbindgen %{buildroot}%{_bindir}/cbindgen

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/cbindgen
%doc LICENSE

%changelog
* Fri Jun 10 2022 Automatic Build System <autodist@mambasoft.it> 0.24.3-1mamba
- automatic version update by autodist

* Wed Jun 08 2022 Automatic Build System <autodist@mambasoft.it> 0.24.2-1mamba
- automatic version update by autodist

* Wed Jun 08 2022 Automatic Build System <autodist@mambasoft.it> 0.24.1-1mamba
- automatic version update by autodist

* Sat Apr 23 2022 Automatic Build System <autodist@mambasoft.it> 0.23.0-1mamba
- automatic version update by autodist

* Tue Apr 19 2022 Automatic Build System <autodist@mambasoft.it> 0.22.0-1mamba
- automatic version update by autodist

* Sun Apr 10 2022 Automatic Build System <autodist@mambasoft.it> 0.21.0-1mamba
- automatic version update by autodist

* Thu Jul 29 2021 Automatic Build System <autodist@mambasoft.it> 0.20.0-1mamba
- automatic version update by autodist

* Fri Apr 09 2021 Automatic Build System <autodist@mambasoft.it> 0.19.0-1mamba
- automatic version update by autodist

* Sat Feb 27 2021 Automatic Build System <autodist@mambasoft.it> 0.18.0-1mamba
- automatic version update by autodist

* Tue Feb 02 2021 Automatic Build System <autodist@mambasoft.it> 0.17.0-1mamba
- automatic version update by autodist

* Sun Dec 27 2020 Automatic Build System <autodist@mambasoft.it> 0.16.0-1mamba
- automatic version update by autodist

* Thu Oct 08 2020 Automatic Build System <autodist@mambasoft.it> 0.15.0-1mamba
- automatic version update by autodist

* Tue Sep 22 2020 Automatic Build System <autodist@mambasoft.it> 0.14.6-1mamba
- automatic version update by autodist

* Sat Sep 19 2020 Automatic Build System <autodist@mambasoft.it> 0.14.5-1mamba
- automatic version update by autodist

* Fri Aug 21 2020 Automatic Build System <autodist@mambasoft.it> 0.14.4-1mamba
- automatic version update by autodist

* Thu Jun 25 2020 Automatic Build System <autodist@mambasoft.it> 0.14.3-1mamba
- automatic version update by autodist

* Fri May 01 2020 Automatic Build System <autodist@mambasoft.it> 0.14.2-1mamba
- automatic version update by autodist

* Fri Apr 10 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 0.14.1-1mamba
- update to 0.14.1

* Mon Apr 06 2020 Automatic Build System <autodist@mambasoft.it> 0.14.0-1mamba
- automatic version update by autodist

* Sun Mar 22 2020 Automatic Build System <autodist@mambasoft.it> 0.13.2-1mamba
- automatic version update by autodist

* Mon Feb 10 2020 Automatic Build System <autodist@mambasoft.it> 0.13.1-1mamba
- automatic version update by autodist

* Fri Jan 31 2020 Automatic Build System <autodist@mambasoft.it> 0.13.0-1mamba
- automatic version update by autodist

* Sun Jan 12 2020 Automatic Build System <autodist@mambasoft.it> 0.12.2-1mamba
- automatic version update by autodist

* Mon Dec 30 2019 Automatic Build System <autodist@mambasoft.it> 0.12.1-1mamba
- automatic version update by autodist

* Mon Dec 16 2019 Automatic Build System <autodist@mambasoft.it> 0.12.0-1mamba
- automatic version update by autodist

* Mon Dec 09 2019 Automatic Build System <autodist@mambasoft.it> 0.11.1-1mamba
- automatic version update by autodist

* Wed Dec 04 2019 Automatic Build System <autodist@mambasoft.it> 0.11.0-1mamba
- automatic version update by autodist

* Tue Dec 03 2019 Automatic Build System <autodist@mambasoft.it> 0.10.1-1mamba
- automatic version update by autodist

* Wed Nov 20 2019 Automatic Build System <autodist@mambasoft.it> 0.10.0-1mamba
- automatic version update by autodist

* Wed Aug 28 2019 Automatic Build System <autodist@mambasoft.it> 0.9.1-1mamba
- automatic version update by autodist

* Fri Jun 28 2019 Automatic Build System <autodist@mambasoft.it> 0.9.0-1mamba
- automatic version update by autodist

* Wed Jun 12 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 0.8.7-2mamba
- rebuilt with rust-bin 1.35.0

* Sat May 18 2019 Automatic Build System <autodist@mambasoft.it> 0.8.7-1mamba
- automatic version update by autodist

* Wed May 08 2019 Automatic Build System <autodist@mambasoft.it> 0.8.6-1mamba
- automatic version update by autodist

* Tue Apr 09 2019 Automatic Build System <autodist@mambasoft.it> 0.8.3-1mamba
- automatic version update by autodist

* Thu Mar 07 2019 Automatic Build System <autodist@mambasoft.it> 0.8.2-1mamba
- automatic version update by autodist

* Sun Feb 17 2019 Automatic Build System <autodist@mambasoft.it> 0.8.0-1mamba
- automatic version update by autodist

* Mon Jan 28 2019 Automatic Build System <autodist@mambasoft.it> 0.7.1-1mamba
- automatic version update by autodist

* Tue Jan 08 2019 Automatic Build System <autodist@mambasoft.it> 0.6.8-1mamba
- automatic version update by autodist

* Thu Jan 03 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 0.6.7-1mamba
- package created using the webbuild interface
